##- Nanar <nanardon@mandrake.org>
##-
##- This program is free software; you can redistribute it and/or modify
##- it under the terms of the GNU General Public License as published by
##- the Free Software Foundation; either version 2, or (at your option)
##- any later version.
##-
##- This program is distributed in the hope that it will be useful,
##- but WITHOUT ANY WARRANTY; without even the implied warranty of
##- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##- GNU General Public License for more details.
##-
##- You should have received a copy of the GNU General Public License
##- along with this program; if not, write to the Free Software
##- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: Dep.pm,v 1.1 2005/03/04 21:19:34 othauvin Exp $

package Hdlist::Header::Dep;

1;

__END__

=head1 NAME

Hdlist::Header::Dep

=head1 DESCRIPTION

A dependancies set.

=head1 METHODS

=head2 Hdlist::Header::Dep->count

Return the number of dependancies contained by the dependancies set.

=head2 Hdlist::Header::Dep->move($index)

Move internal index to $index (0 by default).

=head2 Hdlist::Header::Dep->init

Reset internal index and set it to -1, see L<Hdlist::Header::Dep-\\>next>

=head1 SEE ALSO

L<Hdlist>

